package cn.ibizlab.businesscentral.core.base.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.businesscentral.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.businesscentral.core.base.domain.BusinessUnitNewsArticle;
/**
 * 关系型数据实体[BusinessUnitNewsArticle] 查询条件对象
 */
@Slf4j
@Data
public class BusinessUnitNewsArticleSearchContext extends QueryWrapperContext<BusinessUnitNewsArticle> {

	private String n_articletitle_like;//[标题]
	public void setN_articletitle_like(String n_articletitle_like) {
        this.n_articletitle_like = n_articletitle_like;
        if(!ObjectUtils.isEmpty(this.n_articletitle_like)){
            this.getSearchCond().like("articletitle", n_articletitle_like);
        }
    }
	private String n_articletypecode_eq;//[公开对象]
	public void setN_articletypecode_eq(String n_articletypecode_eq) {
        this.n_articletypecode_eq = n_articletypecode_eq;
        if(!ObjectUtils.isEmpty(this.n_articletypecode_eq)){
            this.getSearchCond().eq("articletypecode", n_articletypecode_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("articletitle", query)   
            );
		 }
	}
}




